> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/ecommerce/update-store-promo-rule-promo-code/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Update promo code PATCH https://api.mailchimp.com/3.0/ecommerce/stores/{store_id}/promo-rules/{promo_rule_id}/promo-codes/{promo_code_id} Content-Type: application/json Update a promo code. Reference: https://mailchimp.com/developer/marketing/api/ecommerce/update-store-promo-rule-promo-code ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Path parameters - `store_id` (string, required) — The store id. - `promo_rule_id` (string, required) — The id for the promo rule of a store. - `promo_code_id` (string, required) — The id for the promo code of a store. ### Body (application/json) This endpoint expects an object. - `code` (string, optional) — The discount code. Restricted to UTF-8 characters with max length 50. - `created_at_foreign` (string, optional) — The date and time the promotion was created in ISO 8601 format. - `enabled` (boolean, optional) — Whether the promo code is currently enabled. - `id` (string, optional) — A unique identifier for the promo code. Restricted to UTF-8 characters with max length 50. - `redemption_url` (string, optional) — The url that should be used in the promotion campaign restricted to UTF-8 characters with max length 2000. - `updated_at_foreign` (string, optional) — The date and time the promotion was updated in ISO 8601 format. - `usage_count` (integer, optional) — Number of times promo code has been used. ## Response ### 200 - `_links` (list of ECommercePromoCodeLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `code` (string, optional) — The discount code. Restricted to UTF-8 characters with max length 50. - `created_at_foreign` (datetime, optional) — The date and time the promotion was created in ISO 8601 format. - `enabled` (boolean, optional) — Whether the promo code is currently enabled. - `id` (string, optional) — A unique identifier for the promo Code. - `redemption_url` (string, optional) — The url that should be used in the promotion campaign restricted to UTF-8 characters with max length 2000. - `updated_at_foreign` (datetime, optional) — The date and time the promotion was updated in ISO 8601 format. - `usage_count` (integer, optional) — Number of times promo code has been used. ## Types ### ECommercePromoCodeLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ## Examples **Request** ```json {} ``` **Response** ```json { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "code": "summersale", "created_at_foreign": "2024-01-15T09:30:00Z", "enabled": "true", "id": "string", "redemption_url": "A url that applies promo code directly at checkout or a url that points to sale page or store url", "updated_at_foreign": "2024-01-15T09:30:00Z", "usage_count": 1 } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules/promo_rule_id/promo-codes/promo_code_id" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules/promo_rule_id/promo-codes/promo_code_id'; const options = { method: 'PATCH', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules/promo_rule_id/promo-codes/promo_code_id" payload := strings.NewReader("{}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules/promo_rule_id/promo-codes/promo_code_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules/promo_rule_id/promo-codes/promo_code_id") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PATCH', 'https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules/promo_rule_id/promo-codes/promo_code_id', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules/promo_rule_id/promo-codes/promo_code_id"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules/promo_rule_id/promo-codes/promo_code_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.